@import url("../../common/css/common.css");

h2.dic_h2 {
  letter-spacing: 2px;
  margin-bottom: 15px;
  font-size: 3rem;
}

.dic_wrap {
  background-color: #fdfae9;
  padding: 30px 0 80px;
  border-top: 2px solid #0fa8bc;
}

.dic_link {
  background-color: #fff;
  padding: 15px;
  margin-bottom: 50px;
  box-shadow: 2px 0 2px rgba(000, 000, 000, 0.5);
}

.dic_link ul {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
}

.dic_link ul li {
  margin-bottom: 15px;
}

.dic_link ul li a {
  color: #000;
  text-decoration: none;
}

.line_title {
  background-color: #0fa8bc;
  color: #fff;
  text-align: center;
  font-size: 1.6rem;
  font-weight: bold;
  padding: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  letter-spacing: 2px;
  text-shadow: 2px 2px 1px #296c80, -2px 2px 1px #296c80, 2px -2px 1px #296c80,
    -2px -2px 1px #296c80, 2px 0px 1px #296c80, 0px 2px 1px #296c80,
    -2px 0px 1px #296c80, 0px -2px 1px #296c80;
}

.line_title span {
  font-size: 2.3rem;
}

.dic_list {
  list-style: none;
  margin-bottom: 50px;
}

.dic_list li {
  background-color: #fff;
  padding: 30px 15px;
  box-shadow: 5px 5px 5px rgba(000, 000, 000, 0.3);
}

.dic_list li:not(:last-child) {
  margin-bottom: 15px;
}

.dic_list_flex {
  display: flex;
  align-items: center;
}

.word_title {
  color: #0fa8bc;
  font-size: 2.3rem;
  font-weight: bold;
  margin-right: 15px;
  flex-basis: calc(30% - 7.5px);
}

.word_title span {
  font-size: 1.3rem;
}

.word_text {
  font-size: 1.6rem;
  font-weight: bold;
  flex-basis: calc(70% - 7.5px);
}

.word_text a {
  text-decoration: none;
}

.word_text a:hover {
  text-decoration: underline;
}

.button_to_top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: #296c80;
  cursor: pointer;
  box-shadow: 2px 2px 2px rgba(000, 000, 000, 0.1),
    -2px 2px 2px rgba(000, 000, 000, 0.1), 2px -2px 2px rgba(000, 000, 000, 0.1),
    -2px -2px 2px rgba(000, 000, 000, 0.5), 2px 0px 2px rgba(000, 000, 000, 0.1),
    0px 2px 2px rgba(000, 000, 000, 0.1), -2px 0px 2px rgba(000, 000, 000, 0.1),
    0px -2px 2px rgba(000, 000, 000, 0.1);
}

.button_to_top::after {
  content: "";
  position: absolute;
  top: calc(50% + 5px);
  left: 50%;
  width: 15px;
  height: 15px;
  border-top: 1px solid #fff;
  border-left: 1px solid #fff;
  transform-origin: 50% 50%;
  transform: translate(-50%, -50%) rotate(45deg);
}

@media screen and (min-width: 750px) {
  .dic_wrap {
    background-color: #fdfae9;
    padding: 50px 0 100px;
  }

  .dic_link ul li {
    position: relative;
    padding: 0 15px;
    border-right: 1px solid #0fa8bc;
  }

  .dic_link ul li:first-child {
    border-left: 1px solid #0fa8bc;
  }

  .dic_link ul li::after {
    content: "";
    width: 10px;
    height: 7.6px;
    background-image: url(../img/dic_tri.png);
    background-size: contain;
    position: absolute;
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
  }

  .dic_list li {
    background-color: #fff;
    padding: 30px;
  }

  .word_title {
    margin-right: 30px;
    flex-basis: calc(30% -15px);
  }

  .word_text {
    flex-basis: calc(70% - 15px);
  }
}

@media screen and (min-width: 1024px) {
  .dic_link ul {
    justify-content: center;
  }
}
